For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bedrooms

Return detailed information for your bedrooms in your room type.

API: Direct Booking · Operation: Room Type · Direction: SM → Property · Method: Pull (Property-initiated)

Retrieve a room type's bedrooms

get

Retrieve a room type's bedrooms and their bed configuration.

Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired

UUID for a property.

roomTypeUuidstring · uuidRequired

UUID for a room type.

Header parameters
x-sm-api-keystringRequired

API key used to authenticate the request.

Responses
200

Successful operation

application/json
namestringRequired

room name, e.g. "Bedroom 1"

get/properties/{propertyUuid}/room-types/{roomTypeUuid}/bedrooms
GET /properties/{propertyUuid}/room-types/{roomTypeUuid}/bedrooms HTTP/1.1
x-sm-api-key: text
Accept: */*
[
  {
    "name": "Bedroom 1",
    "beds": [
      {
        "bedType": "King",
        "otaCode": 12,
        "quantity": 1
      }
    ]
  }
]

sparkles

Still have questions?

Last updated

Was this helpful?